Modify

Opened 4 years ago

Closed 4 years ago

Last modified 22 months ago

#10793 closed defect (fixed)

Current trunk (15 Jan 2011) breaks wzr-hp-g300nh (v1) support

Reported by: anonymous Owned by: developers
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc: camden.lindsay+openwrt@…, jeremydayledawson+openwrt@…

Description

Hello-

I tftp-flashed a wzr-hp-g300nh with trunk today. After flashing i could not pick up an IP address on the LAN. The WAN port did come up and pick up an address (was connected to another LAN so i could identify the problem).

Furthermore, the default ip is not pingable from any of the LAN ports.

I suspect an issue with the VLAN configuration.

I attempted to do further troubleshooting

I loaded backfire 10.03.1, configuring wireless,password, and an ssh hole in the firewall. I verified the configuration was working as expected.

Then using sysupgrade to upgrade the router to trunk. My thinking is that i could then log into it via WAN port i could perhaps post vlan data.

/etc/sysupgrade.conf included these items (also found in attached screenlog)
## This file contains files and directories that should
## be preserved during an upgrade.

# /etc/example.conf
# /etc/openvpn/
/etc/config/
/etc/dropbear/
/etc/openvpn/
/etc/passwd
/etc/opkg.conf
/etc/firewall.user
/lib/uci/upload/

However after sysupgrade, only port 22 and 53 are open on the router, and the password did not save across the upgrade so i cannot access the router.

Attached is a swconfig show from the 10.03.1 build, as well as the screenlog of my upgrade attempt.

Attachments (1)

screenlog.0 (22.6 KB) - added by anonymous 4 years ago.
screenlog of system upgrade and vlan configuration before, password change after.

Download all attachments as: .zip

Change History (22)

Changed 4 years ago by anonymous

screenlog of system upgrade and vlan configuration before, password change after.

comment:1 Changed 4 years ago by anonymous

Additional notes:
I was not clear above. After sysupgrade, router is not reachable at 192.168.1.1 on LAN ports at all. It is pingable/ssh'able on the WAN port (presumably because of the firewall hole). Additionally, it is pingable/ssh'able on the wifi, which the configuration seemed to carry over on.

comment:2 Changed 4 years ago by Alfred Ganz <alfred-ganz+openwrt@…>

I encountered the same problem, and reported iit as #10797. My WZR-HP-G300NH has
the newer, and not announced RTL8366RB switch. It might help if you could report
which switch type is in your WZR-HP-G300NH (RTL8366RB or RTL8366S). I don't think
swconfig shows it, but it can be found in dmesg after reboot.

comment:3 Changed 4 years ago by anonymous

The switch is the older one:

[ 0.820000] Realtek RTL8366S ethernet switch driver version 0.2.2
[ 0.890000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[ 1.190000] eth0: using fixed link parameters
[ 1.190000] eth1: Atheros AG71xx at 0xba000000, irq 5
[ 1.500000] eth1: connected to PHY at rtl8366s:04 [uid=001cc960, driver=Generic PHY]

So, i soldered and got console output. Attached are two files of the entire flash process of trunk vs stable console output.

But here's the big thing i noticed -- in swconfig (diff between trunk and stable):

241c242
< info: VLAN 1: Ports: '01235', members=002f, untag=002f, fid=0
---

info: VLAN 1: Ports: '01235t', members=002f, untag=000f, fid=0

243c244
< ports: 0 1 2 3 5
---

ports: 0 1 2 3 5t

Could this be causing the problems? I tried untagging port 5 (cpu) and it doesn't seem to have fixed the issue

Also in the new one we see 'ack timeouts'
root@OpenWrt:/# dmesg | grep -i rtl
[ 0.820000] Realtek RTL8366S ethernet switch driver version 0.2.2
[ 0.830000] rtl8366s rtl8366s: using GPIO pins 19 (SDA) and 20 (SCK)
[ 0.830000] rtl8366s rtl8366s: RTL8366 ver. 1 chip found
[ 0.840000] rtl8366s rtl8366s: ACK timeout
[ 0.880000] rtl8366s: probed
[ 1.500000] eth1: connected to PHY at rtl8366s:04 [uid=001cc960, driver=Generic PHY]
[ 12.500000] rtl8366s rtl8366s: ACK timeout
[ 2004.480000] rtl8366s rtl8366s: ACK timeout

In the old one

RTL8366 series driver, reading model-id...
rtl8366sr_phy_setup ethUnit=0
RTL8366 series driver, reading model-id...
Found an RTL8366S switch
Realtek RTL8366S ethernet switch driver version 0.2.2
rtl8366s rtl8366s: using GPIO pins 19 (SDA) and 20 (SCK)
rtl8366s rtl8366s: RTL8366 ver. 1 chip found
rtl8366s: probed

comment:4 follow-up: Changed 4 years ago by kd4yal@…

I am seeing the same issue with WZR-HP-AG300H and the AR8316 switch in r29760.

comment:5 in reply to: ↑ 4 Changed 4 years ago by anonymous

What symptoms do you see? Do you also see the ack timeouts and the different vlan setup?

thanks
c

Replying to kd4yal@…:

I am seeing the same issue with WZR-HP-AG300H and the AR8316 switch in r29760.

comment:6 in reply to: ↑ description Changed 4 years ago by anonymous

However after sysupgrade, only port 22 and 53 are open on the router, and the password did not save across the upgrade so i cannot access the router.

Ah, i see-- luci isn't installed in trunk so this was my mistake. Password setting being wrong was still odd... but the biggest issue here i have is the oddity with vlans..

comment:7 Changed 4 years ago by anonymous

r29763 still not working (18 January 2012)

swconfig dev switch0 show 
...
...

VLAN 1:
        info: VLAN 1: Ports: '01235t', members=002f, untag=000f, fid=0
        fid: 0  
        ports: 0 1 2 3 5t

and still has the odd 'ack timeouts'

[    0.810000] 0x000000060000-0x000001fc0000 : "firmware"
[    0.820000] Realtek RTL8366S ethernet switch driver version 0.2.2
[    0.830000] rtl8366s rtl8366s: using GPIO pins 19 (SDA) and 20 (SCK)
[    0.830000] rtl8366s rtl8366s: RTL8366 ver. 1 chip found
[    0.840000] rtl8366s rtl8366s: ACK timeout
[    0.880000] rtl8366s: probed   
[    0.890000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[    1.190000] eth1: Atheros AG71xx at 0xba000000, irq 5
[    1.500000] Atheros AR71xx hardware watchdog driver version 0.1.0

comment:8 Changed 4 years ago by Alfred Ganz <alfred-ganz+openwrt@…>

Look at ticket #10794, there is a proposed reversion of the code for the ACK timeout!

comment:9 Changed 4 years ago by jow

  • Priority changed from high to response-needed

Somehow I don't get what the actual issue is here, this is a confusing mix of totally unrelated stuff.

  • The dev_err() is essentially a printk(), seeing an "ACK timeout" does not necessarily indicate any problem
  • The log posted above seems to indicate that the router is still reachable
  • Missing password is due to the trunk switch to shadow passwords
  • Changed vlan setup is also expected, default is now tagged instead of previously untagged

So what *is* the actual problem described here?

comment:10 Changed 4 years ago by camden.lindsay+openwrt@…

Log above is from serial console on router (soldered to header with converter)

Actual problem is that ethernet switch (ports 1-4) do not work at all.
You cannot get a dhcp address from the router on any lan port, you cannot ping the router on any lan port, and (just tested) you cannot even use as a dumb switch on another network.

If enabled, all other ports (wlan and wan) work, with IP addresses being assigned via dhcp on WLAN and IP addresses being requested by WAN.

Sorry for the mess of description above, hope this helps

I am happy to help diagnose it via console or any other way, but need some help/guidance! :)

comment:11 Changed 4 years ago by jow

Show the current /etc/config/network please.

comment:12 Changed 4 years ago by camden.lindsay+openwrt@…

root@OpenWrt:/# cat /etc/config/network 

config 'interface' 'loopback'
        option 'ifname' 'lo'
        option 'proto' 'static'
        option 'ipaddr' '127.0.0.1'
        option 'netmask' '255.0.0.0'

config 'interface' 'lan'
        option 'ifname' 'eth0.1'
        option 'type' 'bridge'
        option 'proto' 'static'
        option 'ipaddr' '192.168.1.1'
        option 'netmask' '255.255.255.0'

config 'interface' 'wan'
        option 'ifname' 'eth1'
        option 'proto' 'dhcp'

config 'switch'
        option 'name' 'switch0'
        option 'reset' '1'
        option 'enable_vlan' '1'

config 'switch_vlan'
        option 'device' 'switch0'
        option 'vlan' '1'
        option 'ports' '0 1 2 3 5t'

root@OpenWrt:/# 

root@OpenWrt:/# uci show dhcp.lan
dhcp.lan=dhcp
dhcp.lan.interface=lan
dhcp.lan.start=100
dhcp.lan.limit=150
dhcp.lan.leasetime=12h
root@OpenWrt:/# cat /etc/config/dhcp 
config dnsmasq
        option domainneeded     1
        option boguspriv        1
        option filterwin2k      0  # enable for dial on demand
        option localise_queries 1
        option rebind_protection 1  # disable if upstream must serve RFC1918 addresses
        option rebind_localhost 1  # enable for RBL checking and similar services
        #list rebind_domain example.lan  # whitelist RFC1918 responses for domains
        option local    '/lan/'
        option domain   'lan'
        option expandhosts      1
        option nonegcache       0
        option authoritative    1
        option readethers       1
        option leasefile        '/tmp/dhcp.leases'
        option resolvfile       '/tmp/resolv.conf.auto'
        #list server            '/mycompany.local/1.2.3.4'
        #option nonwildcard     1
        #list interface         br-lan
        #list notinterface      lo
        #list bogusnxdomain     '64.94.110.11'

config dhcp lan
        option interface        lan
        option start    100
        option limit    150
        option leasetime        12h

config dhcp wan
        option interface        wan
        option ignore   1

comment:13 Changed 4 years ago by Gorby

Confirm this issue with "s"-type in latest trunk 29778.

DIR-300 kern.err kernel: [ 116.250000] rtl8366s rtl8366s: ACK timeout

Sep  8 19:44:13 DIR-300 kern.info kernel: [  105.630000] hub 1-0:1.0: USB hub found
Sep  8 19:44:13 DIR-300 kern.info kernel: [  105.640000] hub 1-0:1.0: 1 port detected
Sep  8 19:44:14 DIR-300 kern.info kernel: [  113.490000] eth0: link up (1000Mbps/Full duplex)
Sep  8 19:44:14 DIR-300 kern.info kernel: [  113.650000] device eth0 entered promiscuous mode
Sep  8 19:44:14 DIR-300 user.info sysinit: /sbin/hotplug-call: /etc/hotplug.d/net/10-net: line 1: can't create /sys/devices/virtual/net/br-lan/bridge/multicast_snooping: nonexistent directory
Sep  8 19:44:14 DIR-300 kern.info kernel: [  113.710000] br-lan: topology change detected, propagating
Sep  8 19:44:14 DIR-300 kern.info kernel: [  113.720000] br-lan: port 1(eth0) entering forwarding state
Sep  8 19:44:14 DIR-300 kern.info kernel: [  113.720000] br-lan: port 1(eth0) entering forwarding state
Sep  8 19:44:14 DIR-300 kern.info kernel: [  114.170000] ADDRCONF(NETDEV_UP): eth1: link is not ready
Sep  8 19:44:15 DIR-300 kern.info kernel: [  114.350000] device eth1 entered promiscuous mode
Sep  8 19:44:15 DIR-300 user.notice ifup: Enabling Router Solicitations on loopback (lo)
Sep  8 19:44:15 DIR-300 user.info sysinit: /sbin/hotplug-call: /etc/hotplug.d/net/10-net: line 1: can't create /sys/devices/virtual/net/br-wan/bridge/multicast_snooping: nonexistent directory
Sep  8 19:44:15 DIR-300 kern.info kernel: [  114.380000] ADDRCONF(NETDEV_UP): br-wan: link is not ready
Sep  8 19:44:15 DIR-300 user.info sysinit: 0.openwrt.pool.ntp.org: Unknown host
Sep  8 19:44:15 DIR-300 user.info sysinit: 1.openwrt.pool.ntp.org: Unknown host
Sep  8 19:44:15 DIR-300 user.info sysinit: 2.openwrt.pool.ntp.org: Unknown host
Sep  8 19:44:15 DIR-300 user.info sysinit: 3.openwrt.pool.ntp.org: Unknown host
Sep  8 19:44:15 DIR-300 user.info sysinit: connect: Network is unreachable
Sep  8 19:44:15 DIR-300 user.info sysinit: connect: Network is unreachable
Sep  8 19:44:17 DIR-300 kern.err kernel: [  116.250000] rtl8366s rtl8366s: ACK timeout
Sep  8 19:44:17 DIR-300 user.notice ifup: Enabling Router Solicitations on lan (br-lan)
Sep  8 19:44:17 DIR-300 kern.info kernel: [  116.650000] eth1: link up (100Mbps/Full duplex)
Sep  8 19:44:17 DIR-300 kern.info kernel: [  116.650000] br-wan: port 1(eth1) entering forwarding state
Sep  8 19:44:17 DIR-300 kern.info kernel: [  116.660000] br-wan: port 1(eth1) entering forwarding state
Sep  8 19:44:17 DIR-300 kern.info kernel: [  116.660000] ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
Sep  8 19:44:17 DIR-300 kern.info kernel: [  116.690000] ADDRCONF(NETDEV_CHANGE): br-wan: link becomes ready
Sep  8 19:44:18 DIR-300 kern.info kernel: [  117.520000] cfg80211: Calling CRDA to update world regulatory domain

comment:14 Changed 4 years ago by camden.lindsay+openwrt@…

heck, in failsafe mode, it can't even ping itself... ping just hangs, even after a cntl-c. not sure if this is related...

Press the [f] key and hit [enter] to enter failsafe mode
f
- failsafe -


BusyBox v1.19.3 (2012-01-17 19:43:03 MST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 ATTITUDE ADJUSTMENT (bleeding edge, r29763) ----------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@(none):/# ifconfig 
eth0      Link encap:Ethernet  HWaddr 00:1D:73:B4:A9:3B  
          inet addr:192.168.1.1  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 B)  TX bytes:1043 (1.0 KiB)
          Interrupt:4 

root@(none):/# ping 192.168.1.1
PING 192.168.1.1 (192.168.1.1): 56 data bytes
^C^C

comment:15 follow-up: Changed 4 years ago by h_surjuse@…

Hello, I installed the latest trunk 18-Jan (http://downloads.openwrt.org/snapshots/trunk/ar71xx/) on my WZR-HP-G300NH (RTL8366RB). I see LAN issue too.
The ethernet switch (ports 1-4) do not work for any 100MB port devices. I got DHCP ip to my Laptop Gigabit (1000MB).
ALL other functions are working good.

comment:16 in reply to: ↑ 15 Changed 4 years ago by camden.lindsay+openwrt@…

@h_surjuse

Thats interesting. The laptop i've been troubleshooting is gigabit and i'm still not picking up IP address, and cannot contact the router on its static ip.

What O/S are you running on your desktop?
What port is the desktop plugged into on the router?

If ubuntu, can you provide the output of /var/log/daemon.log as it gets an IP address? Mine just times out like this:

Jan 22 00:42:53 shibuntu dhclient: 
Jan 22 00:42:53 shibuntu NetworkManager: <info>  DHCP: device eth0 state changed normal exit -> preinit
Jan 22 00:42:53 shibuntu dhclient: Listening on LPF/eth0/00:23:18:b3:a5:82
Jan 22 00:42:53 shibuntu dhclient: Sending on   LPF/eth0/00:23:18:b3:a5:82
Jan 22 00:42:53 shibuntu dhclient: Sending on   Socket/fallback
Jan 22 00:42:54 shibuntu dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 5
Jan 22 00:42:59 shibuntu dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 13
Jan 22 00:43:12 shibuntu dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 18
Jan 22 00:43:30 shibuntu dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 20
Jan 22 00:43:39 shibuntu NetworkManager: <info>  (eth0): DHCP transaction took too long, stopping it.
Jan 22 00:43:39 shibuntu NetworkManager: <info>  (eth0): canceled DHCP transaction, dhcp client pid 12777
Jan 22 00:43:39 shibuntu NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP4 Configure Timeout) scheduled...
Jan 22 00:43:39 shibuntu NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP4 Configure Timeout) started...
Jan 22 00:43:39 shibuntu NetworkManager: <info>  (eth0): device state change: 7 -> 9 (reason 5)
Jan 22 00:43:39 shibuntu NetworkManager: <info>  Marking connection 'Auto eth0' invalid.

I don't know how to prove or troubleshoot well to the developers that this is _actually_ a problem :(

Replying to h_surjuse@…:

Hello, I installed the latest trunk 18-Jan (http://downloads.openwrt.org/snapshots/trunk/ar71xx/) on my WZR-HP-G300NH (RTL8366RB). I see LAN issue too.
The ethernet switch (ports 1-4) do not work for any 100MB port devices. I got DHCP ip to my Laptop Gigabit (1000MB).
ALL other functions are working good.

comment:17 Changed 4 years ago by h_surjuse@…

Patch from ticket #10794 worked.. Just compiled new firmware using patch and now switch worked with 100MB network devices.

comment:18 Changed 4 years ago by camden.lindsay+openwrt@…

Please see video description, as i can't type anything without being flagged as spam.

http://www.youtube.com/watch?v=HRQ2Ypg90ps

comment:19 Changed 4 years ago by camden.lindsay+openwrt@…

Have just verified that this is indeed the same as 10794 . Removing the line called out in the patch and recompiling leads to a working switch. Will track further issues in that bug.

comment:20 Changed 4 years ago by juhosg

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in r29844.

comment:21 Changed 22 months ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.